<?php
define(dodontof_url, "http://hoge/DodontoF/"); //どどんとふを設置している場所のurl
define(myhomepage_url, "http://cre.jp/honyomusi/"); //サイトアドレス名前
define(myhomepage_name, "aoringo works"); //サイトの名前
//
define(save_file_dir, "../../saveData/"); //セーブデータディレクトリの相対アドレス。初期設定では「../../saveData/」
//
define(dodontof_def_volume, 0.2); //音楽に設定するデフォルトのボリューム。0～1の範囲で設定する。必須
define(dodontof_def_tag, "BGM"); //デフォルトで指定するタグ
define(dodontof_def_img, "../hoge.png"); //デフォルトで指定する画像URL。必須
define(dodontof_def_display_seconds, 0); //表示時間
define(dodontof_def_loop, 1); //ループするかどうか1で可、0で非
define(dodontof_def_isTail, 1); //末尾発言をデフォルトでONにするかどうか。1で可、0で非
define(dodontof_def_position, "right"); //デフォルトの表示位置。up,left、up,right、up、center、left、rightが指定可能
define(dodontof_def_width, 0); //デフォルト幅
define(dodontof_def_height, 0); //デフォルト高さ
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <script type="text/javascript" src="./functions/jquery-1.9.1.js"></script>
  <LINK rel="stylesheet" type="text/css" href="./functions/reset.css">
  <LINK rel="stylesheet" type="text/css" href="./functions/style.css">
  <LINK rel="stylesheet" type="text/css" href="./functions/jquery-ui-1.10.3.custom.min.css">
  <script>
    <!--
    jQuery(function () {
      $('.subMenu').hide();
      $('#info').click(function (e) {
        $('.subMenu').slideToggle();
      });
    });
    // -->
  </script>
</head>
<body>
<?php
require_once './functions/functions.php';
$room_no = preg_replace("[^0-9]", "", $_GET[room_no]) + 0;
$item_no = preg_replace("[^0-9]", "", $_GET[edit]) + 0;
$room_list = json_decode(file_get_contents(dodontof_url . "DodontoFServer.rb?webif=getRoomList&minRoom=0"), true);
$i = 0;
if(!isset($_GET[room_no])) {
  echo '<h1>　aoringo dodontof jukebox｜部屋を選択してください</h1>';
}
if(!is_file(save_file_dir . "data_{$room_no}/playRoomInfo.json")) {
  echo '<h1>　aoringo dodontof jukebox｜その部屋番号は存在しません</h1>';
}
if(isset($_GET[room_no]) && is_file(save_file_dir . "data_{$room_no}/playRoomInfo.json")) {
  $room_info = json_decode(file_get_contents(save_file_dir . "data_{$room_no}/playRoomInfo.json"), true);
  echo '<h1>　aoringo dodontof jukebox｜' . "ROOM {$room_no}：{$room_info[playRoomName]}</h1>";
}
?>
<div id="menu_ul_3">
  <ul>
    <li><a style="background-color:#e60033" href="./?room_no=<?php echo $room_no ?>"><span>アイテム新規追加</span></a></li>
    <li><a style="background-color:#2a83a2" href="<?php echo dodontof_url . 'DodontoF.swf?loginRoom=' . $room_no; ?>" target="_blank"><span>部屋へ移動</span></a></li>
    <li><span id="info">使い方</span></li>
    <li><a style="background-color:#000000" href="<?php echo dodontof_url . 'DodontoF.swf'; ?>" target="_blank"><span>どどんとふ</span></a></li>
    <li><a style="background-color:#000000" href="<?php echo myhomepage_url ?>" target="_blank"><span><?php echo myhomepage_name ?></span></a></li>
  </ul>
</div>

<ol class="subMenu">
  <li>部屋を選択すると、その部屋のカットインリストと編集項目入力フォームが出てきます。</li>
  <li>カットインリストの通常文字部分をドラッグするところで入れ替える事ができます。「×」を押す事で削除する事が出来ます。</li>
  <li>移動、削除が完了したら「リスト変更適応」をクリックしてください。リストが変更されます。</li>
  <li>カットインリストの「EDIT」をクリックすると項目の編集を行うことが出来ます。</li>
  <li>画像、音楽のブレビューも行うことができます。flashや動画ファイルには対応してないのでブレビューはできません。どどんとふで利用できるフォーマットを設定すれば大丈夫のはずです。</li>
  <li>初期画面、またはタイトルの下にある「アイテム新規追加」で追加アイテムの入力を行う事が出来ます。</li>
  <li>タイトルは必ず入力してください。空白だとアイテム追加されません。</li>
  <li>カットインリストの順序・削除変更処理とアイテム追加・変更処理は同時に行うことができません。注意してください。</li>
  <li>処理が正常に出来たかどうかのメッセージはでません。アイテムリストの一番最後に追加されていれば成功です。</li>
  <li>要望、希望などは<a href="http://cre.jp/honyomusi/" target="_blank">aoringo works</a>へどうぞ。</li>
</ol>
<div id="room_list">
  <?php
  foreach($room_list[playRoomStates] as $val) { //部屋一覧リンク生成
    if($val[lastUpdateTime] !== "") echo "<a href=\"./?room_no={$i}\">{$i}:{$val[playRoomName]}</a> , ";
    $i++;
  }
  ?>
</div>
<?php
if(!isset($_GET[room_no])) {
  exit();
}
if(!is_file(save_file_dir . "data_{$room_no}/playRoomInfo.json")) {
  exit();
}
if(isset($_POST[item_vals], $_POST[array_trance])) { //変更されたアイテムリスト
  item_exp_trance($_POST[item_vals], $room_no);
} elseif(isset($_POST[item_vals], $_POST[array_changes])) { //アイテムリスト並べ変え
  item_exp_changes($room_no);
} elseif(isset($_POST[item_change_add])) { //アイテム追加、変更
  item_change_add($room_no, $item_no);
}
$effects = json_decode(file_get_contents(save_file_dir . "data_{$room_no}/effects.json"), true);
if(isset($_GET[edit], $_GET[room_no], $effects[effects][$item_no][message])) {
  echo "<h2>item{$item_no}：「{$effects[effects][$item_no][message]}」編集中</h2>";
} elseif(isset($_GET[room_no]) && !isset($_GET[edit])) {
  echo "<h2>新規追加予定アイテム編集中</h2>";
} elseif(isset($_GET[room_no]) && !isset($effects[effects][$item_no][message])) {
  echo "<h2>そのアイテムは存在しません。</h2>";
  exit();
}
?>

<form action="" method="post">
  <div id="main">
    <div id="content1">
      <table>
        <tr>
          <td align="center">タイトル</td>
          <td colspan="3" style="border-right:1px solid gray;">
            <input type="text" name="music_title" class="input_val" autocomplete="off" value="<?php item_req('title'); ?>"/>
          </td>
        </tr>
        <tr>
          <td align="center">タグ</td>
          <td colspan="3" style="border-right  :1px solid gray;"><input type="text" name="music_tag" class="input_val" value="<?php item_req('tag'); ?>" autocomplete="off"/></td>
        </tr>
        <tr>
          <td align="center">画像</td>
          <td align="center" colspan="3" style="border-right  :1px solid gray;">
            <img src="" alt="img" id="music_img_demo"/><br>
            <input type="text" name="music_img" class="input_val" id="music_img" value="<?php item_req('img') ?>" autocomplete="off"/>
          </td>
        </tr>
        <tr>
          <td align="center">音楽</td>
          <td align="center" colspan="3" style="border-right  :1px solid gray;">
            <audio src="<?php item_req('music') ?>" controls preload="none" loop id="music_demo"><p>音声を再生するには、audioタグをサポートしたブラウザが必要です。</p></audio>
            <br>
            <input type="text" name="music_souce" class="input_val" id="music_souce" autocomplete="off" value="<?php item_req('music') ?>"/>
          </td>
        </tr>
        <tr>
          <td align="center">音量</td>
          <td colspan="3" style="border-right  :1px solid gray;">
            <input type="text" name="music_volume" class="input_num" id="music_volum" autocomplete="off"/>

            <div id="jquery-ui-slider"></div>
          </td>
        </tr>
        <tr>
          <td align="center">表示時間</td>
          <td colspan="3" style="border-right  :1px solid gray;"><input type="number" name="music_display_seconds" class="input_num" value="<?php item_req('display_seconds') ?>"
                                                                        autocomplete="off"/></td>
        </tr>
        <tr>
          <td align="center">ループ</td>
          <td><input type="checkbox" name="music_loop_check" <?php item_req('loop') ?>/></td>
          <td style="border-left:1px solid gray" align="center">末尾発言</td>
          <td style="border-right  :1px solid gray;"><input type="checkbox" name="music_isTail" <?php item_req('isTail') ?>/></td>
        </tr>
        <tr>
          <td align="center">表示位置</td>
          <td colspan="3" style="border-right  :1px solid gray;">
            <select name="position">
              <option value="up,left" <?php item_req('position', "up,left") ?>>左上
              <option value="up,right" <?php item_req('position', "up,right") ?>>右上
              <option value="up" <?php item_req('position', "up") ?>>上
              <option value="center" <?php item_req('position', "center") ?>>中央
              <option value="right" <?php item_req('position', "right") ?>>右
              <option value="left" <?php item_req('position', "left") ?>>左
            </select>
          </td>
        </tr>
        <tr>
          <td align="center">幅</td>
          <td><input type="number" name="music_width" class="input_num" value="<?php item_req('width') ?>" autocomplete="off"/></td>
          <td style="border-left:1px solid gray" align="center">高さ</td>
          <td style="border-right  :1px solid gray;"><input type="number" name="music_height" class="input_num" value="<?php item_req('height') ?>" autocomplete="off"/></td>
        </tr>
        <tr>
          <td colspan="4" style="border-right  :1px solid gray;"><input type="submit" value="変更＆追加" name="item_change_add"/></td>
        </tr>
      </table>
    </div>

    <div id="content2">
      <div id="juke_item_list_box">
        <ul id="juke_items">
          <?php
          $i = -1;
          foreach($effects[effects] as $val) {
            $i++;
            if(!isset($val[message])) continue;
            echo "<li class=\"juke_lis\" id=\"{$i}\"><span class=\"remove_peke\">×</span>　<a href=\"./?room_no={$room_no}&edit={$i}\">EDIT</a>　<span class=\"move_item\">{$val[message]}</span></li>\n";
            $item_vals .= $i . ",";
          }
          $item_vals = rtrim($item_vals, ",");
          ?>
        </ul>
      </div>
      <input type="hidden" id="item_vals" name="item_vals" value="<?php echo $item_vals ?>">
      <br>
      <input type="submit" value="リスト変更適応" name="array_trance"/>
      <input type="submit" value="昇順並べ変え" name="array_changes"/>
    </div>
</form>
</div>
</body>
<br>

<p>(c)aoringo dodontof jukebox v0.2. maked by <a href="http://cre.jp/honyomusi/" target="_blank">aoringo works</a></p>
<p><a href="http://www.dodontof.com/index.php">どどんとふ</a></p>
<footer>
  <script type="text/javascript" src="./functions/jquery-ui-1.10.3.custom.min.js"></script>
  <script>
    <!--
    jQuery(function () {
      jQuery('#jquery-ui-slider').slider({
        range: 'min',
        value: <?php item_req('volume') ?>,
        min: 0,
        max: 1,
        step: 0.01,
        slide: function (event, ui) {
          jQuery('#music_volum').val(ui.value);
        }
      });
      jQuery('#music_volum').val(jQuery('#jquery-ui-slider').slider('value'));
      //
      jQuery('#juke_items').sortable({
        axis: "y",
        forcePlaceholderSize: true,
        update: function () {
          $("#item_vals").val($('#juke_items').sortable('toArray').toString());
        }
      });
      jQuery('#juke_item_list_box').disableSelection();
      $(".remove_peke").click(function () {
        $(this).parent(".juke_lis").remove();
        $("#item_vals").val($('#juke_items').sortable('toArray').toString());
      });
      jQuery("#music_souce").bind('click blur keyup change', function () {
        jQuery("#music_demo").attr("src", jQuery("#music_souce").val());
      });

      jQuery("#music_img").bind('click blur keyup change', function () {
        jQuery("#music_img_demo").attr("src", jQuery("#music_img").val());
      });

      jQuery("#music_volum").bind('click blur keyup change', function () {
        jQuery("#jquery-ui-slider").slider('value', jQuery("#music_volum").val());
      });
    });
    // -->
  </script>
</footer>